#include "xgfxworldvertexdata.h"

XGfxWorldVertexData::XGfxWorldVertexData()
    : XAsset()
    , mVertices()
    , mWorldVertexBuffer()
{

}

XGfxWorldVertexData::~XGfxWorldVertexData()
{

}

void XGfxWorldVertexData::Clear()
{
    mVertices.clear();
    mWorldVertexBuffer.Clear();
}

void XGfxWorldVertexData::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {

        qint32 worldVertexPtr;
        *aStream >> worldVertexPtr;

        mWorldVertexBuffer.ParseData(aStream);
    }
}
